GHSA-v83x-78q3-gr2j

Suggest an improvement
Source
https://github.com/advisories/GHSA-v83x-78q3-gr2j
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-v83x-78q3-gr2j/GHSA-v83x-78q3-gr2j.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-v83x-78q3-gr2j
Aliases
Published
2022-05-24T19:14:08Z
Modified
2024-04-22T23:11:31.359931Z
Severity
  • 5.4 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N CVSS Calculator
Summary
GNU Mailman Postorius Access Control Issues
Details

An issue was discovered in views/list.py in GNU Mailman Postorius before 1.3.5. An attacker (logged into any account) can send a crafted POST request to unsubscribe any user from a mailing list, also revealing whether that address was subscribed in the first place.

References

Affected packages

PyPI / postorius

Package

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.3.5

Affected versions

1.*

1.0.0a1
1.0.0a2
1.0.0b1
1.0.0b2
1.0.0b3
1.0.0
1.0.1
1.0.2
1.0.3
1.1.0
1.1.1
1.1.2
1.2.0a1
1.2.0
1.2.1
1.2.2
1.2.3
1.2.4
1.3.0
1.3.1
1.3.2
1.3.3rc1
1.3.3rc2
1.3.3
1.3.4rc1
1.3.4